Update inventory position - Fabric

Update Inventory Position

cURL

curl --request PATCH \
  --url https://prod01.oms.fabric.inc/api/v2/inventory/adjustment \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-site-context: <x-site-context>' \
  --data '
{
  "itemId": 4225678911,
  "locationNum": 473746,
  "channelId": 12,
  "leadTime": 1234,
  "counters": {
    "on-hand": 10
  },
  "attributes": {
    "buy online, pick up in-store (bopis)": true
  }
}
'

Python Example

import requests

url = "https://prod01.oms.fabric.inc/api/v2/inventory/adjustment"

payload = {
    "itemId": 4225678911,
    "locationNum": 473746,
    "channelId": 12,
    "leadTime": 1234,
    "counters": { "on-hand": 10 },
    "attributes": { "buy online, pick up in-store (bopis)": True }
}
headers = {
    "x-site-context": "<x-site-context>",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)

JavaScript Example

const options = {
  method: 'PATCH',
  headers: {
    'x-site-context': '<x-site-context>',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    itemId: 4225678911,
    locationNum: 473746,
    channelId: 12,
    leadTime: 1234,
    counters: {'on-hand': 10},
    attributes: {'buy online, pick up in-store (bopis)': true}
  })
};

fetch('https://prod01.oms.fabric.inc/api/v2/inventory/adjustment', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP Example

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://prod01.oms.fabric.inc/api/v2/inventory/adjustment",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "PATCH",
  CURLOPT_POSTFIELDS => json_encode([
    'itemId' => 4225678911,
    'locationNum' => 473746,
    'channelId' => 12,
    'leadTime' => 1234,
    'counters' => [
        'on-hand' => 10
    ],
    'attributes' => [
        'buy online, pick up in-store (bopis)' => true
    ]
  ]),
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>",
    "Content-Type: application/json",
    "x-site-context: <x-site-context>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}

Go Example

package main

import (
    "fmt"
    "strings"
    "net/http"
    "io"
)

func main() {

url := "https://prod01.oms.fabric.inc/api/v2/inventory/adjustment"

payload := strings.NewReader("{\n  \"itemId\": 4225678911,\n  \"locationNum\": 473746,\n  \"channelId\": 12,\n  \"leadTime\": 1234,\n  \"counters\": {\n    \"on-hand\": 10\n  },\n  \"attributes\": {\n    \"buy online, pick up in-store (bopis)\": true\n  }\n}")

req, _ := http.NewRequest("PATCH", url, payload)

req.Header.Add("x-site-context", "<x-site-context>")
    req.Header.Add("Authorization", "Bearer <token>")
    req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
    body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}

Response

Success Response (200)

{
  "virtualCounters": {
    "availableToPurchase": 10
  },
  "id": "62272e917b12209e68751d94",
  "sku": "SKU00025",
  "itemId": 4225678911,
  "locationNum": 473746,
  "channelId": 12,
  "vendorId": "vendor123",
  "leadTime": 1234,
  "inventoryType": "Safety stock",
  "infiniteInventory": true,
  "counters": {
    "on-hand": 10
  },
  "attributes": {
    "buy online, pick up in-store (bopis)": true
  }
}

Error Responses

{
  "message": "Invalid request payload or parameter"
}
{
  "message": "Resource not found. If the issue persists please contact support@fabric.inc."
}
{
  "message": "An internal error occurred. If the issue persists please contact support@fabric.inc."
}